#OWM JAPIs

####Java APIs for OpenWeatherMap.org

OWM JAPIs lets you easily access information about current weather, weather forecasts, 
daily forecasts, etc. directly from OpenWeatherMap.org by providing direct, easy-to-configure, and 
easy-to-use APIs written in Java. 

You can use this library to create weather applications using Java.



##Downloads
Kindly download the library's binaries from [OWM APIs Downloads](http://go.aksingh.net/owm-japis-downloads).



##Versions
###2.5 (Compatible with OWM APIs v2.5)


####2.5.0.1 (latest)

**Implemented:**

1. Current Weather
2. Weather Forecasts
3. Daily Forecasts
4. Wind degree to direction converter

**Not implemented (planned):**

1. Searching of City
2. Weather Maps
3. Country code to name converter
4. Direction code to name converter



##Why to use OWM JAPIs?
1. Free
2. Easy to use
3. Minimize your code
4. Lessen your efforts

Using OWM JAPIs, you only need to focus on your application and its user interface, and you can just leave 
the work of accessing weather and forecast data from OpenWeatherMap.org on this library. This reduces code 
in your program and improves the readability and performance of your code.



##How to use OWM JAPIs?
Add OWM_JAPIs.jar and JSON.jar to your project's libararies directory, and then, code this way:

1. Create and initialize object of OpenWeatherMap
2. Call this object's functions to get desired data (current weather, forecast, etc.)
3. This object's functions returns desired data in a new object
4. Call this new object's functions to get information about weather

Using OWM JAPIs is very simple, and anyone with little coding knowledge will feel at home while making use 
of this library. Identifiers are written to be self-explanatory and java documentation is also provided.



##Source code
Kindly get the library's source code from [OWM APIs Source](http://go.aksingh.net/owm-japis-src).



##Bugs / Requests
Got a problem, error, or bug in the library? Or want a new feature that's not there in OWM JAPIs?

Let me know about it, and I will try to solve/add it in the next release.

Kindly post bugs or feature requests at [OWM APIs Bugs/Requests](http://go.aksingh.net/owm-japis-bugs).



##Developer
**Ashutosh Kumar Singh**

Homepage: [AKSingh.net](http://www.aksingh.net)

Email: me@aksingh.net



##Credits
1. OpenWeatherMap.org

for providing free weather data and creating easy-to-use web APIs.



##License
Copyright (C)2013 Ashutosh Kumar Singh [me@AKSingh.net]
  
Permission is hereby granted, free of charge, to any person obtaining 
a copy of this software and associated documentation files (the "Software"), 
to deal in the Software without restriction, including without limitation 
the rights to use, copy, modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons to whom the 
Software is furnished to do so, subject to the following conditions:
  
The above copyright notice and this permission notice shall be included 
in all copies or substantial portions of the Software.

The Software shall be used for Good, not Evil.
 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR 
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
OTHER DEALINGS IN THE SOFTWARE.
